Skip to main content
BlueAI
Home/Scheduler/Proposals

Proposals

Manage scheduling proposals where multiple candidate times are offered for selection.

|

Endpoints

GET/api/v1/scheduler/proposalsList proposals
POST/api/v1/scheduler/proposalsCreate a proposal
GET/api/v1/scheduler/proposals/{id}Get a proposal
GET/api/v1/scheduler/proposals

List proposals

Authentication requiredInclude session cookie or Bearer token

Query Parameters

NameTypeRequiredDescription
status
stringOptionalFilter by status (pending / accepted / expired)
limit
integerOptionalNumber of items to return (default: 50, max: 200)
offset
integerOptionalNumber of items to skip

Code Examples

curl "https://api.blueai.jp/api/v1/scheduler/proposals" \
  -H "Cookie: better-auth.session_token=<token>"
POST/api/v1/scheduler/proposals

Create a proposal

Authentication requiredInclude session cookie or Bearer token

Code Examples

curl -X POST "https://api.blueai.jp/api/v1/scheduler/proposals" \
  -H "Cookie: better-auth.session_token=<token>"
GET/api/v1/scheduler/proposals/{id}

Get a proposal

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalProposal ID

Code Examples

curl "https://api.blueai.jp/api/v1/scheduler/proposals/prop_123e4567e89b12d3a456426614174000" \
  -H "Cookie: better-auth.session_token=<token>"